const { Client, GatewayIntentBits } = require("discord.js");

const client = new Client({
    intents: [
        GatewayIntentBits.Guilds,
        GatewayIntentBits.GuildMembers,
        GatewayIntentBits.GuildWebhooks
    ]
});

client.on("ready", () => {
    client.user.setActivity("Set Activity", { type: "WATCHING" });
    console.log(`Discord Bot '${client.user.displayName}' is online!`)
});

client.login(process.env.BOT_TOKEN);

module.exports = client;
